[Previous] [Next] [Contents]

## `COMP::ListCompoFatter` -- all compositions fatter than a given one

#### Call(s)

`COMP::ListCompoFatter(compo)`

#### Parameters

`compo` | - | any list denoting a composition

#### Introduction

The `COMP::ListCompoFatter` function generates all compositions fatter than a given composition `compo` (obtained by summing adjacent parts of `compo`). The result is a list of compositions.

#### Example 1

    >> muEC::COMP::ListCompoFatter( [2,1,3] );

                         [[6], [2, 4], [3, 3], [2, 1, 3]]

#### Related Functions

`ListCompo`, `ListCompoFiner`, `TYP::IsCompo`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package